%bcond_without check

%global goipath         github.com/andybalholm/brotli
Version:                1.0.1

%gometa

%global common_description %{expand:
This package is a brotli compressor and decompressor implemented in Go. It was
translated from the reference implementation (https://github.com/google/brotli)
with the c2go tool at https://github.com/andybalholm/c2go.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Pure Go Brotli encoder and decoder

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
